qmf::SchemaProperty Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes
qmf::SchemaProperty Class Reference

`#include <qmf/SchemaProperty.h>`

List of all members.

## Public Member Functions
| SchemaProperty (SchemaPropertyImpl *impl=0)
| SchemaProperty (const SchemaProperty &)
SchemaProperty & | operator= (const SchemaProperty &)
| ~SchemaProperty ()
| SchemaProperty (const std::string &, int, const std::string &o="")
void | setAccess (int)
void | setIndex (bool)
void | setOptional (bool)
void | setUnit (const std::string &)
void | setDesc (const std::string &)
void | setSubtype (const std::string &)
void | setDirection (int)
const std::string & | getName () const
int | getType () const
int | getAccess () const
bool | isIndex () const
bool | isOptional () const
const std::string & | getUnit () const
const std::string & | getDesc () const
const std::string & | getSubtype () const
int | getDirection () const
QMF_INLINE_EXTERN bool | isValid () const
QMF_INLINE_EXTERN bool | isNull () const
QMF_INLINE_EXTERN | operator bool () const
| Conversion to bool supports idiom if (handle) { handle->...
QMF_INLINE_EXTERN bool | operator! () const
| Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.
void | swap (Handle< T > &h)
## Protected Types
typedef T | Impl
## Protected Attributes
Impl * | impl

## Member Typedef Documentation

typedef T qmf::Handle::Impl`[protected, inherited]`

Definition at line 56 of file Handle.h.

## Constructor & Destructor Documentation

qmf::SchemaProperty::SchemaProperty | ( | SchemaPropertyImpl * | impl = `0` | ) |

qmf::SchemaProperty::SchemaProperty | ( | const SchemaProperty & |  | ) |

qmf::SchemaProperty::~SchemaProperty | ( |  | ) |

qmf::SchemaProperty::SchemaProperty | ( | const std::string & | ,
|  | int | ,
|  | const std::string & | o = `""`
| ) |  |

## Member Function Documentation

int qmf::SchemaProperty::getAccess | ( |  | ) | const

const std::string& qmf::SchemaProperty::getDesc | ( |  | ) | const

int qmf::SchemaProperty::getDirection | ( |  | ) | const

const std::string& qmf::SchemaProperty::getName | ( |  | ) | const

const std::string& qmf::SchemaProperty::getSubtype | ( |  | ) | const

int qmf::SchemaProperty::getType | ( |  | ) | const

const std::string& qmf::SchemaProperty::getUnit | ( |  | ) | const

bool qmf::SchemaProperty::isIndex | ( |  | ) | const

QMF_INLINE_EXTERN bool qmf::Handle::isNull | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is null. It is an error to call any function on a null handle.

Definition at line 45 of file Handle.h.

bool qmf::SchemaProperty::isOptional | ( |  | ) | const

QMF_INLINE_EXTERN bool qmf::Handle::isValid | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is valid, i.e. not null.

Definition at line 42 of file Handle.h.

QMF_INLINE_EXTERN qmf::Handle::operator bool | ( |  | ) | const`[inline, inherited]`

Conversion to bool supports idiom if (handle) { handle->...

}

Definition at line 48 of file Handle.h.

QMF_INLINE_EXTERN bool qmf::Handle::operator! | ( |  | ) | const`[inline, inherited]`

Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.

Definition at line 51 of file Handle.h.

SchemaProperty& qmf::SchemaProperty::operator= | ( | const SchemaProperty & |  | ) |

void qmf::SchemaProperty::setAccess | ( | int |  | ) |

void qmf::SchemaProperty::setDesc | ( | const std::string & |  | ) |

void qmf::SchemaProperty::setDirection | ( | int |  | ) |

void qmf::SchemaProperty::setIndex | ( | bool |  | ) |

void qmf::SchemaProperty::setOptional | ( | bool |  | ) |

void qmf::SchemaProperty::setSubtype | ( | const std::string & |  | ) |

void qmf::SchemaProperty::setUnit | ( | const std::string & |  | ) |

void qmf::Handle::swap | ( | Handle< T > & | h | ) | `[inline, inherited]`

Definition at line 53 of file Handle.h.

## Member Data Documentation

Impl* qmf::Handle::impl`[protected, inherited]`

Definition at line 63 of file Handle.h.

The documentation for this class was generated from the following file:

- qmf/SchemaProperty.h